import { ExtractPropTypes, PropType } from 'vue';
export declare const IconProps: {
    readonly icon: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly classPrefix: {
        readonly type: StringConstructor;
        readonly default: () => string;
    };
    readonly margin: PropType<string | number>;
    readonly badge: PropType<string | number | boolean>;
    readonly multicolor: BooleanConstructor;
    readonly color: StringConstructor;
    readonly size: PropType<string | number>;
};
export declare type IconProps = ExtractPropTypes<typeof IconProps>;
