declare const mIcon: import("../../utils/withInstall").SFCWithInstall<import("vue").DefineComponent<{
    readonly icon: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly classPrefix: {
        readonly type: StringConstructor;
        readonly default: () => string;
    };
    readonly margin: import("vue").PropType<string | number>;
    readonly badge: import("vue").PropType<string | number | boolean>;
    readonly multicolor: BooleanConstructor;
    readonly color: StringConstructor;
    readonly size: import("vue").PropType<string | number>;
}, {
    propsData: {
        icon: string;
        classPrefix: string;
        multicolor: boolean;
        margin?: string | number | undefined;
        badge?: string | number | boolean | undefined;
        color?: string | undefined;
        size?: string | number | undefined;
    };
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        bm: (blockSuffix?: string, modifier?: string) => string;
        em: (element?: string, modifier?: string) => string;
        bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
        is: (name: string, state: string | boolean) => string;
    };
    className: import("vue").ComputedRef<string[]>;
    style: import("vue").ComputedRef<{
        height?: string | undefined;
        width?: string | undefined;
        margin?: string | undefined;
    } | {
        color?: string | undefined;
        margin?: string | undefined;
        'font-size'?: string | undefined;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    readonly icon: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    readonly classPrefix: {
        readonly type: StringConstructor;
        readonly default: () => string;
    };
    readonly margin: import("vue").PropType<string | number>;
    readonly badge: import("vue").PropType<string | number | boolean>;
    readonly multicolor: BooleanConstructor;
    readonly color: StringConstructor;
    readonly size: import("vue").PropType<string | number>;
}>>, {
    readonly classPrefix: string;
    readonly multicolor: boolean;
}>>;
export default mIcon;
export { mIcon };
declare module 'vue' {
    interface GlobalComponents {
        mIcon: typeof mIcon;
    }
}
